# Updating Integrations

## PATCH Integration Attributes

Integration attributes can be updated via the PATCH HTTP Verb on the integrations endpoint.

{% code title="Request Path" %}

```
PATCH /api/integrations/<INTEGRATION_ID>
```

{% endcode %}

{% code title="Request Body" %}

```
{
  "data": {
      "id": "<INTEGRATION_ID>",
      "attributes": {
          "<INTEGRATION_PROPERTY>": <PROPERTY_VALUE>
      }
  }
}
```

{% endcode %}

{% hint style="info" %}
Be sure to include the `Content-Type` header with a value of `application/vnd.api+json`
{% endhint %}

## Example

The following example updates the Integration's "Team Subscription" flag via the `autosubscribe` property on the specified integration.

{% tabs %}
{% tab title="curl" %}

```bash
curl -v -X PATCH \
'https://<POLARITY_FQDN>/api/integrations/<INTEGRATION_ID>' \
--header 'Authorization: Bearer <AUTH_TOKEN>' \
--header 'Content-Type: application/vnd.api+json' \
--data-binary @- <<EOF
{
  "data": {
      "id": "<INTEGRATION_ID>",
      "attributes": {
          "autosubscribe": true
      }
  }
}
EOF
```

{% endtab %}

{% tab title="python" %}

```python
import requests
import json

def update_integration_team_subscription(token, host, integration_id, autosubscribe):
    url = f'{host}/api/integrations/{integration_id}'

    payload = json.dumps({
      "data": {
          "id": integration_id,
          "attributes": {
              "autosubscribe": autosubscribe
          }
      }
    })
    headers = {
        'Content-Type': 'application/vnd.api+json',
        'Authorization': f'Bearer {token}'
    }

    response = requests.request("PATCH", url, headers=headers, data=payload)
    response.raise_for_status()

    return response.json()
    
update_result = update_integration_team_subscription(token, HOST, 'virustotal_3_7_4_node_18_63e5110da4_1697729362', True)  
```

{% endtab %}
{% endtabs %}

When set to `true` users with access to the integration will be automatically subscribed.

## Integration Attributes

For a full list of attributes that can be updated via the `PATCH` endpoint see the integration attributes page.

{% content-ref url="integration-attributes" %}
[integration-attributes](https://docs.polarity.io/polarity-admin-guide-version-5/NgjzS0G79DnLnaNepozV/rest-api/integration-information/integration-attributes)
{% endcontent-ref %}
